Subject: [Cfrg] CFRG processes and vetting crypto RFCs

From: Yaron Sheffer <[email-masked]>
Date: Thu, 06 Feb 2014 09:08:31 -0800

I am quoting Lars's comments below, taking them deliberately out of context.

I think these two statements together (CFRG does not need to reach 
consensus, and CFRG - represented by its chairs - cannot "suppress 
discussion") means that CFRG cannot be a useful way to vet and approve 
or disapprove crypto contributions. The way I read these statements is 
that anything that goes into CFRG will eventually be published. As an 
IETF customer of CFRG, this is not helpful at all. I certainly need CFRG 
to "suppress" what it considers inappropriate.

Thanks,
	Yaron

> Date: Thu, 6 Feb 2014 07:16:06 +0000 From: "Eggert, Lars"
[...]

> The CFRG is not a standards group. It does not produce standards.
> It's discussions and documents may influence IETF standards, but
> those discussions happen in IETF working groups governed by the IETF
> process. This is important, because not all of the IETF rules apply
> to the IRTF, see RFC2014. (For example, IRTF research groups need not
> come to consensus on their output.)
>
[...]

> I don't
> believe that Kevin (or David, for that matter) have any greater
> influence over the output of the research group than other
> participants. They don't have any veto rights, or an ability to
> suppress contributions or discussions, or a way to mandate certain
> outcomes.

---

From: "Eggert, Lars" <[email-masked]>
Date: Thu, 6 Feb 2014 18:21:18 +0000

Hi,

On 2014-2-6, at 18:08, Yaron Sheffer <[email-masked]> wrote:
> I think these two statements together (CFRG does not need to reach consensus, and CFRG - represented by its chairs - cannot "suppress discussion") means that CFRG cannot be a useful way to vet and approve or disapprove crypto contributions. The way I read these statements is that anything that goes into CFRG will eventually be published.

that's not the case, and I apologize if my statements have been confusing.

What I meant to express by the "cannot suppress discussion" phrase - apparently poorly - was that if the overall RG was really interested in discussing a certain topic, the *chairs* really have no way to make that discussion die. The WG overall certainly can, by making it clear to the proponents of a certain idea that the majority considers it poor or out of scope, etc. (with the expectation that the proponents would then eventually let the matter drop.)

The "need not reach consensus" statement was meant to explain the following:

RFC5743 defines the IRTF RFC Stream, with additional details found in RFC5742. Section 2.1 of RFC5743 describes the process that an RG follows to publish a document. The key bullet point it this:

   o  There must be a paragraph near the beginning (for example, in the
      introduction) describing the level of support for publication.
      Example text might read: "this document represents the consensus
      of the FOOBAR RG" or "the views in this document were considered
      controversial by the FOOBAR RG but the RG reached a consensus that
      the document should still be published".

Obviously, if the RG was so conflicted about a document that they couldn't even agree that it should be published even with such a paragraph explaining the controversy, it can't be taken forward. And if everyone agreed that something was a really bad idea, well, there have been "foo considered harmful" RFCs in the past that had broad consensus.

> As an IETF customer of CFRG, this is not helpful at all. I certainly need CFRG to "suppress" what it considers inappropriate.

Agreed.

Lars